<?php
require_once("APIView.php");

class auth extends APIView {
	public $dbg = true;
    public $checkEndpoint = false;
    public $checkAction = false;

	public $routeMap = array(
		'login' => array(
            'fn' => 'login',
            'req' => array(
                'api_id',
                'api_key'
            )
        ),
        'authenticated' => array(
            'fn' => 'authenticated',
            'auth' => 'location'
        ),
        'logout' => array(
            'fn' => 'logout',
            'auth' => 'location'
        )
	);

    public function login() {
        AuthAPI::startSession();

        $locationID = AuthAPI::login($this->DATA['api_id'], $this->DATA['api_key']);
        return array(
            'locationID' => $locationID,
            'token' => session_id()
        );
    }

    public function authenticated() {
        AuthAPI::startSession();
        return array(
            'locationID' => $_SESSION['locationID'],
            'token' => session_id()
        );
    }

    public function logout() {
        AuthAPI::logout();
    }
}

new auth();
