<?php
require_once("APIView.php");

class giftcards extends APIView {
    public $dbg = true;
    public $auth = "location";
    public $checkEndpoint = false;
    public $checkAction = false;

    public $routeMap = array(
        'getCardInfo' => array(
            'fn' => 'getCardInfo',
            'req' => array(
                'giftcard_num'
            )
        ),
        'redeem' => array(
            'fn' => 'redeem',
            'req' => array(
                'giftcard_num',
                'amount'
            )
        )
    );

    public function getCardInfo() {
        $locationID = $_SESSION['locationID'];

        if (!BridgeGiftCards::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");

        $giftcard = BridgeGiftCards::getCardInfo($this->DATA['giftcard_num']);

        return $giftcard;
    }

    public function redeem() {
        $locationID = $_SESSION['locationID'];

        if (!BridgeGiftCards::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");

        $result = BridgeGiftCards::redeem($this->DATA['giftcard_num'], $this->DATA['amount']);

        return $result;
    }
}

new giftcards();