<?php
require_once("APIView.php");

class menu extends APIView {
    public $dbg = true;
    public $checkEndpoint = false;
    public $checkAction = false;

    public $routeMap = array(
        'addMenuDownload' => array(
            'fn' => 'addMenuDownload',
            'req' => array(
                'path',
                'start_date',
                'location_id'
            )
        ),
        'getMenuDownload' => array(
            'fn' => 'getMenuDownload',
            'req' => array(
                'location_id',
                'upload_datetime'
            )
        ),
        'deleteMenuDownload' => array(
            'fn' => 'deleteMenuDownload',
            'req' => array(
                'menu_id'
            )
        ),
        'enableMenuDownload' => array(
            'fn' => 'enableMenuDownload',
            'req' => array(
                'menu_id'
            )
        )
    );

    public function addMenuDownload() {
        /*return array(
            'data' => $this->DATA
        );*/

        $now = new DateTime();

        $fileNameAttachment1 = "blank.blank";

        $uploadDir = dirname(dirname(__FILE__)).'/menuUploads/';
        if(file_exists($uploadDir) == false){
            mkdir($uploadDir, 0755);
        }
        /* GET File Variables */
        $attachment1 = $_FILES['attachment1'];
        if (isset($attachment1)) {
            $fileNameAttachment1 = $_FILES['attachment1']['name'];
            $tmpNameAttachment1 = $_FILES['attachment1']['tmp_name'];
            $FileAttachment1 = $uploadDir . $fileNameAttachment1;
            move_uploaded_file($tmpNameAttachment1, $FileAttachment1);
        }

        $menu_id = OCMenu::addMenuDownload(str_replace(' ', '%20', 'http://dev.api.ordercounter.com/menuUploads/' .  $fileNameAttachment1), $this->DATA['start_date'], $this->DATA['location_id']);

        if(isset($menu_id) && $menu_id != ''){
            return array(
                'menu_id' => $menu_id
            );
        }
        return array(
            'menu_id' => "error!"
        );
    }

    public function getMenuDownload() {
        $entryData = OCMenu::getMostRecentActive($this->DATA['location_id'], $this->DATA['upload_datetime']);

        //return $entryData;

        /*return array(
            'row_count' => $entryData,
            'received_data' => $this->DATA
        );*/

        if(sizeof($entryData) == 0){
            return array(
                'row_count' => 0,
                'received_data' => $this->DATA
            );
        }

        //$entryData[0]->menu_path = str_replace("/home/api/public_html/dev", "http://dev.api.ordercounter.com", $entryData[0]->menu_path);

        return array(
            'received_data' => $this->DATA,
            'row_count' => sizeof($entryData),
            'menu_id' => $entryData[0]->menu_id,
            'menu_path' => $entryData[0]->menu_path,
            'start_date' => $entryData[0]->start_date,
            'upload_date' => $entryData[0]->upload_date
        );
    }
    
    public function deleteMenuDownload() {
        OCMenu::disableMenu($this->DATA['menu_id']);

        return array();
    }

    public function enableMenuDownload() {
        OCMenu::enableMenu($this->DATA['menu_id']);

        return array();
    }
}

new menu();
