<?php
require_once("APIView.php");

class ocpos extends APIView {
    public $dbg = true;
    public $auth = "location";

    public $routeMap = array(
        'defaultRoute' => array(
            'fn' => 'defaultRoute'
        )
    );

    public function defaultRoute() {
        $locationID = $_SESSION['locationID'];
        $ocposSettings = (new OcposSettings())->read($locationID);

        if (!BridgeOCPOS::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");

        /*
         * @var $ocAuth array
         */
        $ocAuth = json_decode(BridgeOCPOS::ocposLogin($ocposSettings->ip_address . $ocposSettings->api_path, $ocposSettings->api_id, $ocposSettings->api_key), true);

        if (!$ocAuth['success'])
            throw new APIFailed('Could not login to OC API');

        $url = "http://". $ocposSettings->ip_address . $ocposSettings->api_path . $this->endpoint .".php";
        $data = array(
            "action" => $this->action,
            "token" => $ocAuth['data']['token'][0],
            "data" => $this->DATA
        );

        $initResult = utf8_encode(BridgeOCPOS::ocposCall($url, $data));
        $result = json_decode($initResult, true);

        if ($result['success'])
            $result_data = $result['data'];
        else
            throw new APIFailed($result['error']['name'] ." - ". $result['error']['desc']);

        return $result_data;
    }
}

new ocpos();