<?php
require_once("APIView.php");

class ocposDirect extends APIView {
    public $routeMap = array(
        'defaultRoute' => array(
            'fn' => 'defaultRoute',
            'req' => array(
                'location',
                'username',
                'password'
            )
        ),
        'getLocationLink' => array(
            'fn' => 'getLocationLink',
            'req' => array(
                'location',
                'username',
                'password'
            )
        ),
        'checkCredentials' => array(
            'fn' => 'CheckCredentials',
            'req' => array(
                'location',
                'username',
                'password'
            )
        )
    );

    public function defaultRoute() {
        $getLoc = new Query("SELECT location_id FROM ocpos_api WHERE direct_name = '{$this->DATA['location']}'");
        $locationID = $getLoc->get();

        if ($locationID == "")
            throw new APIFailed("Location not found.");

        $ocposSettings = (new OcposSettings())->read($locationID);

        if (!BridgeOCPOS::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");
        /*
         * @var $ocAuth array
         */

        return $ocposSettings;
        $ocAuth = json_decode(BridgeOCPOS::ocposLogin($ocposSettings->ip_address . $ocposSettings->api_path, $ocposSettings->api_id, $ocposSettings->api_key), true);

        if (!$ocAuth['success'])
            throw new APIFailed('Could not login to OC API');

        $url = "http://". $ocposSettings->ip_address . $ocposSettings->api_path . $this->endpoint .".php";

        $data = array(
            "action" => $this->action,
            "token" => $ocAuth['data']['token'],
            "data" => $this->DATA
        );

        $result = json_decode(BridgeOCPOS::ocposCall($url, $data), true);
        $result['data']['locationID'] = $locationID;

        if ($result['success'])
            $result_data = $result['data'];
        else
            throw new APIFailed($result['error']['name'] ." - ". $result['error']['desc']);

        return $result_data;
    }

    //This route needs to be updated to not request any information from OCApi and only request that username and password passed along are verified.
    public function getLocationLink() {
        $getLoc = new Query("SELECT location_id FROM ocpos_api WHERE direct_name = '{$this->DATA['location']}'");
        $locationID = $getLoc->get();


        if ($locationID == "")
            throw new APIFailed("Location not found.");

        $getLocIP = new Query("SELECT ip_address FROM ocpos_api WHERE location_id = '$locationID'");
        $locationIPAddress = $getLocIP->get();

        $getLocPath = new Query("SELECT api_path FROM ocpos_api WHERE location_id = '$locationID'");
        $locationPath = str_replace('/ocapi/api/', '', $getLocPath->get());

        $ocposSettings = (new OcposSettings())->read($locationID);

        if (!BridgeOCPOS::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");
        /*
         * @var $ocAuth array
         */

        //return $ocposSettings;
        $ocAuth = json_decode(BridgeOCPOS::ocposLogin($ocposSettings->ip_address . $ocposSettings->api_path, $ocposSettings->api_id, $ocposSettings->api_key), true);

        if (!$ocAuth['success'])
            throw new APIFailed('Could not login to OC API');

        $url = "http://". $ocposSettings->ip_address . $ocposSettings->api_path . $this->endpoint .".php";

        $data = array(
            "action" => $this->action,
            "token" => $ocAuth['data']['token'],
            "data" => $this->DATA
        );

        $result = json_decode(BridgeOCPOS::ocposCall($url, $data), true);
        $result['data']['locationID'] = $locationID;

        if (!$result['success'])
            throw new APIFailed($result['error']['name'] ." - ". $result['error']['desc']);
        return array('valid' => true, 'address' => ($locationIPAddress.$locationPath));

    }

    public function checkCredentials() {
        $getLoc = new Query("SELECT location_id FROM ocpos_api WHERE direct_name = '{$this->DATA['location']}'");
        $locationID = $getLoc->get();

        if ($locationID == "")
            throw new APIFailed("Location not found.");

        $ocposSettings = (new OcposSettings())->read($locationID);

        if (!BridgeOCPOS::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");
        /*
         * @var $ocAuth array
         */

        //return $ocposSettings;
        $ocAuth = json_decode(BridgeOCPOS::ocposLogin($ocposSettings->ip_address . $ocposSettings->api_path, $ocposSettings->api_id, $ocposSettings->api_key), true);

        if (!$ocAuth['success']){
            return array('valid' => false);
        }
        return array('valid' => true);

    }
}

new ocposDirect();