<?php
require_once("APIView.php");

class ocpos extends APIView {
    public $dbg = true;
    public $auth = "location";
    public $checkEndpoint = false;
    public $checkAction = false;

    public $routeMap = array(
        'getMenuCategories' => array(
            'fn' => 'getMenuCategories',
        ),
        'getMenuMenus' => array(
            'fn' => 'getMenuMenus',
        ),
        'getMenuItems' => array(
            'fn' => 'getMenuItems',
        ),
        'getMenuOptionsets' => array(
            'fn' => 'getMenuOptionsets',
        ),
        'getMenuOptions' => array(
            'fn' => 'getMenuOptions',
        ),
        'getMenuItem2Optionset' => array(
            'fn' => 'getMenuItem2Optionset',
        ),
        'getTaxcodes' => array(
            'fn' => 'getTaxcodes',
        )
    );

    public function getMenuCategories() {
        $id = $_SESSION['locationID'];
        $array = OCOnlineMenu::getMenuCategories($id);
        return $array;
    }

    public function getMenuMenus() {
        $id = $_SESSION['locationID'];
        $catID = 0;
        if (isset($this->DATA['cat_id']))
            $catID = $this->DATA['cat_id'];

        $array = OCOnlineMenu::getMenuMenus($id, $catID);
        return $array;
    }

    public function getMenuItems() {
        $id = $_SESSION['locationID'];
        $menuID = 0;
        if (isset($this->DATA['menu_id']))
            $menuID = $this->DATA['menu_id'];

        $array = OCOnlineMenu::getMenuItems($id, $menuID);
        return $array;
    }

    public function getMenuOptionsets() {
        $id = $_SESSION['locationID'];
        $optionsetID = 0;
        if (isset($this->DATA['optionset_id']))
            $optionsetID = $this->DATA['optionset_id'];

        $array = OCOnlineMenu::getMenuOptionsets($id, $optionsetID);
        return $array;
    }

    public function getMenuOptions() {
        $id = $_SESSION['locationID'];
        $optionsetID = 0;
        if (isset($this->DATA['optionset_id']))
            $optionsetID = $this->DATA['optionset_id'];

        $array = OCOnlineMenu::getMenuOptions($id, $optionsetID);
        return $array;
    }

    public function getMenuItem2Optionset() {
        $id = $_SESSION['locationID'];
        $itemID = 0;
        if (isset($this->DATA['item_id']))
            $itemID = $this->DATA['item_id'];

        $array = OCOnlineMenu::getMenuItem2Optionset($id, $itemID);
        return $array;
    }

    public function getTaxcodes() {
        $id = $_SESSION['locationID'];

        $array = OCOnlineMenu::getTaxcodes($id);
        return $array;
    }
}

new ocpos();