<?php
require_once("APIView.php");

class Mail extends APIView
{
    public $dbg = true;
    public $auth = "location";
    public $checkEndpoint = false;
    public $checkAction = false;

    public $routeMap = array(
        'sendMessage' => array(
            'fn' => 'sendMessage',
            'req' => array(
                'emailAddresses',
                'subject'
            )
        )
    );

    public function sendMessage()
    {

        $from = array('no-reply@inboxreports.com' => 'Inbox Reports');

        $emails = $this->DATA['emailAddresses'];

        if (!is_array($emails)) {
            $emailAddresses = array();
            $emailAddresses = explode(',', $emails);
        } else {
            $emailAddresses = $emails;
        }

        $subject = $this->DATA['subject'];
        $body = $this->DATA['body'];

        /* GET File Variables */
        $attachment1 = $_FILES['attachment1'];
        $attachment2 = $_FILES['attachment2'];
        $attachment3 = $_FILES['attachment3'];
        $attachment4 = $_FILES['attachment4'];
        $attachment5 = $_FILES['attachment5'];

        $tmp = dirname(dirname(__FILE__)).'/tmp/';

        if(file_exists($tmp) == false){
            mkdir($tmp, 0755);
        }

        if (isset($attachment1)) {

            $fileNameAttachment1 = $_FILES['attachment1']['name'];
            $tmpNameAttachment1 = $_FILES['attachment1']['tmp_name'];
            $FileAttachment1 = $tmp . $fileNameAttachment1;
            move_uploaded_file($tmpNameAttachment1, $FileAttachment1);

        }

        if (isset($attachment2)) {

            $fileNameAttachment2 = $_FILES['attachment2']['name'];
            $tmpNameAttachment2 = $_FILES['attachment2']['tmp_name'];
            $FileAttachment2 = $tmp . $fileNameAttachment2;
            move_uploaded_file($tmpNameAttachment2, $FileAttachment2);

        }

        if (isset($attachment3)) {

            $fileNameAttachment3 = $_FILES['attachment3']['name'];
            $tmpNameAttachment3 = $_FILES['attachment3']['tmp_name'];
            $FileAttachment3 = $tmp . $fileNameAttachment3;
            move_uploaded_file($tmpNameAttachment3, $FileAttachment3);

        }

        if (isset($attachment4)) {

            $fileNameAttachment4 = $_FILES['attachment4']['name'];
            $tmpNameAttachment4 = $_FILES['attachment4']['tmp_name'];
            $FileAttachment4 = $tmp . $fileNameAttachment4;
            move_uploaded_file($tmpNameAttachment4, $FileAttachment4);

        }

        if (isset($attachment5)) {

            $fileNameAttachment5 = $_FILES['attachment5']['name'];
            $tmpNameAttachment5 = $_FILES['attachment5']['tmp_name'];
            $FileAttachment5 = $tmp . $fileNameAttachment5;
            move_uploaded_file($tmpNameAttachment5, $FileAttachment5);

        }

        try {
            $message = Swift_Message::newInstance()
                ->setSubject($subject)
                ->setFrom($from)
                ->setReplyTo($from)
                ->setTo($emailAddresses)
                ->setBody($body, 'text/html');

            if ($attachment1)
                $message->attach(Swift_Attachment::fromPath($FileAttachment1));

            if ($attachment2)
                $message->attach(Swift_Attachment::fromPath($FileAttachment2));

            if ($attachment3)
                $message->attach(Swift_Attachment::fromPath($FileAttachment3));

            if ($attachment4)
                $message->attach(Swift_Attachment::fromPath($FileAttachment4));

            if ($attachment4)
                $message->attach(Swift_Attachment::fromPath($FileAttachment5));

            if(isset($this->DATA['file']['name']) && isset($this->DATA['file']['data']) && isset($this->DATA['file']['type'])){

                if($this->DATA['file']['type'] == 'application/pdf'){
                    $pdf = base64_decode($this->DATA['file']['data']);
                    $attachment = new Swift_Attachment($pdf,$this->DATA['file']['name'],'application/pdf');
                    $message->attach($attachment);
                }

            }

            $transport = Swift_SmtpTransport::newInstance(CONN_SERVER, CONN_PORT, CONN_AUTH_TYPE)
                ->setUsername(CONN_AUTH_USER)
                ->setPassword(CONN_AUTH_PASS);

            $mailer = Swift_Mailer::newInstance($transport);

            $mailer->send($message);

        } catch (Exception $e) {
            foreach (extractErrorDetails($e) as $v)
                errorLog($v);
            $result = array(
                "Message Status" => "Message Unsuccessful",
                "Reason" => $e->getMessage()
            );

            throw new EmailFailure("An error occurred sending a message on InboxReports!", $result);
        }

        $result = array(

            "Message Status" => "Message Successfully Sent",
            "Email Recipients" => implode(',', $emailAddresses),
            "Subject" => $subject,
            "Body" => $body
        );

        return $result;
    }
}

new Mail();





