<?php
require_once("APIView.php");

class schedulegofer extends APIView {
    public $dbg = true;
    public $auth = "location";

    public $routeMap = array(
        'defaultRoute' => array(
            'fn' => 'defaultRoute'
        )
    );

    public function defaultRoute() {
        $locationID = $_SESSION['locationID'];
        $sgSettings = (new ScheduleGoferSettings())->read($locationID);

        if (!BridgeScheduleGofer::endpointEnabled($locationID,$this->endpoint))
            throw new APIFailed("The {$this->endpoint} endpoint is not currently enabled for this location.");

        /*
         * @var $ocAuth array
         */
        $sgAuth = json_decode(BridgeScheduleGofer::sgLogin($sgSettings->sg_email, $sgSettings->sg_pass, $sgSettings->sg_domain), true);

        if (!$sgAuth['success'])
            throw new APIFailed('Could not login to Schedule Gofer API');

        $url = "http://". $sgSettings->sg_subdomain . "." . $sgSettings->sg_domain ."/api/" . $this->endpoint .".php";
        $data = array(
            "action" => $this->action,
            "data" => $this->DATA
        );

        $data['data']['token'] = $sgAuth['data']['token'];

        $req_locID = array("bgSync", "poll");
        if (in_array($this->action, $req_locID))
            $data['data']['locID'] = $sgSettings->loc_id;

        $result = json_decode(BridgeScheduleGofer::sgCall($url, $data), true);

        if ($result['success'])
            $result_data = $result['data'];
        else
            throw new APIFailed($result['error']['name'] ." - ". $result['error']['desc']);

        return $result_data;
    }
}

new schedulegofer();