<?php
class BridgeGiftCards {
    public static function endpointEnabled($locationID, $endpoint) {
        switch (trim($endpoint)) {
            case "giftcards":
                $location = (new Location())->read($locationID);
                if ($location->has_Loyalty <> "Y")
                    return false;
                else
                    return true;
                break;
            default:
                return true;
        }
    }

    private static function connect() {
        $locationID = $_SESSION['locationID'];
        $loyaltySettings = (new GiftCardSettings())->read($locationID);

        return  DB::connect(array(
            'host' => $loyaltySettings->server,
            'user' => $loyaltySettings->username,
            'pass' => $loyaltySettings->password,
            'db' => $loyaltySettings->database
        ));
    }

    public static function getCardInfo($cardNum) {
        $customerDB = BridgeGiftCards::connect();

        /**
         * @var GiftCards $cards
         */
        $cards = GiftCard::find(array(
            'field' => 'giftcard_num',
            'val' => "AES_ENCRYPT('$cardNum','". Conf::secretKey ."')",
            'limit' => 1,
            'raw' => true
        ), false, $customerDB);

        if (count($cards) != 1)
        {
            throw new GiftCardFailed("Gift Card Not Found.");
        }

        return $cards;
    }

    public static function redeem($cardNum, $amount) {
        $customerDB = BridgeGiftCards::connect();

        /**
         * @var GiftCards $cards
         */
        $cards = GiftCard::find(array(
            'field' => 'giftcard_num',
            'val' => "AES_ENCRYPT('$cardNum','". Conf::secretKey ."')",
            'limit' => 1,
            'raw' => true
        ), false, $customerDB);

        if (count($cards) != 1)
        {
            throw new GiftCardFailed("Gift Card Not Found.");
        }

        if ($cards->balance < $amount)
        {
            throw new GiftCardFailed("Amount greater than balance ({$cards->balance}).");
        }

        $insertArray = array(
            "giftcard_id" => $cards->giftcard_id,
            "amount" => $amount,
            "date" => date("YmdHis"),
            "status" => "C"
        );

        $trans = (new GiftCardTrans(false, $customerDB))->create($insertArray);

        $updateArray = array(
            "balance" => $cards->balance - $amount
        );

        $giftcard = (new GiftCard(false, $customerDB))->read($cards->giftcard_id);
        $giftcard->update($updateArray);

        return $giftcard;
    }


}