<?php
class BridgeOCPOS {
    // Method: POST, PUT, GET etc
    // Data: array("param" => "value") ==> index.php?param=value
    public static function ocposCall($url, $data = false, $method = "POST")
    {
        $curl = curl_init();

        switch ($method)
        {
            case "POST":
                curl_setopt($curl, CURLOPT_POST, 1);

                if ($data)
                {
                    self::http_build_query_for_curl($data, $post);
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
                    curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type: multipart/form-data"));
                }

                break;
            case "PUT":
                curl_setopt($curl, CURLOPT_PUT, 1);
                break;
            default:
                if ($data)
                    $url = sprintf("%s?%s", $url, http_build_query($data));
        }

        // Optional Authentication:
        //curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        //curl_setopt($curl, CURLOPT_USERPWD, "username:password");

        curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($curl, CURLOPT_TIMEOUT, 60);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function ocposLogin($path, $api_id, $api_key) {
        $data = array(
            'action' => 'login',
            'data' => array(
                'api_id' => $api_id,
                'api_key' => $api_key
            )
        );

        $url = $path ."auth.php";

        self::http_build_query_for_curl($data, $post);

        $curl = curl_init();
        
        curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($curl, CURLOPT_TIMEOUT, 30);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type: multipart/form-data"));

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function ocposAuthenticated($path) {
        $data = array(
            'action' => 'authenticated',
        );
        $url = "http://". $path ."auth.php";

        $curl = curl_init();

        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function ocposLogout($path) {
        $data = array(
            'action' => 'logout',
        );
        $url = "http://". $path ."auth.php";

        $curl = curl_init();

        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function endpointEnabled($locationID, $endpoint) {
        switch (trim($endpoint)) {
            case "onlineordering":
                $location = (new Location())->read($locationID);
                if ($location->has_OnlineOrdering <> "Y")
                    return false;
                else
                    return true;
                break;
            case "report":
                $location = (new Location())->read($locationID);
                if ($location->has_ReportAPI <> "Y")
                    return false;
                else
                    return true;
                break;
            case "onlinemenu":
                $location = (new Location())->read($locationID);
                if ($location->has_OnlineMenu <> "Y")
                    return false;
                else
                    return true;
                break;
            default:
                return true;
        }
    }

    public static function http_build_query_for_curl( $arrays, &$new = array(), $prefix = null ) {
        if ( is_object( $arrays ) ) {
            $arrays = get_object_vars( $arrays );
        }

        foreach ( $arrays AS $key => $value ) {
            $k = isset( $prefix ) ? $prefix . '[' . $key . ']' : $key;
            if ( is_array( $value ) OR is_object( $value )  ) {
                self::http_build_query_for_curl( $value, $new, $k );
            } else {
                $new[$k] = $value;
            }
        }
    }

}
