<?php
class BridgeScheduleGofer {
    // Method: POST, PUT, GET etc
    // Data: array("param" => "value") ==> index.php?param=value
    public static function sgCall($url, $data = false, $method = "POST")
    {
        $curl = curl_init();

        switch ($method)
        {
            case "POST":
                curl_setopt($curl, CURLOPT_POST, 1);

                if ($data)
                {
                    self::http_build_query_for_curl($data, $post);
                    curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
                    curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type: multipart/form-data"));
                }

                break;
            case "PUT":
                curl_setopt($curl, CURLOPT_PUT, 1);
                break;
            default:
                if ($data)
                    $url = sprintf("%s?%s", $url, http_build_query($data));
        }

        // Optional Authentication:
        //curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        //curl_setopt($curl, CURLOPT_USERPWD, "username:password");

        curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($curl, CURLOPT_TIMEOUT, 30);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function sgLogin($username, $password, $domain) {
        $data = array(
            'action' => 'login',
            'data' => array(
                'username' => $username,
                'password' => $password
            )
        );

        $url = "http://$domain/api/auth.php";

        self::http_build_query_for_curl($data, $post);

        $curl = curl_init();
        
        curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($curl, CURLOPT_TIMEOUT, 30);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type: multipart/form-data"));

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function sgLogout($path, $domain) {
        $data = array(
            'action' => 'logout',
        );

        $url = "http://$domain/api/auth.php";

        $curl = curl_init();

        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

        $result = curl_exec($curl);

        curl_close($curl);

        return $result;
    }

    public static function endpointEnabled($locationID, $endpoint) {
        switch (trim($endpoint)) {
            case "schedule":
                $location = (new Location())->read($locationID);
                if ($location->has_ScheduleGofer <> "Y")
                    return false;
                else
                    return true;
                break;
            default:
                return true;
        }
    }

    public static function http_build_query_for_curl( $arrays, &$new = array(), $prefix = null ) {

        if ( is_object( $arrays ) ) {
            $arrays = get_object_vars( $arrays );
        }

        foreach ( $arrays AS $key => $value ) {
            $k = isset( $prefix ) ? $prefix . '[' . $key . ']' : $key;
            if ( is_array( $value ) OR is_object( $value )  ) {
                self::http_build_query_for_curl( $value, $new, $k );
            } else {
                $new[$k] = $value;
            }
        }
    }

}
