<?php

/**
 * Created by PhpStorm.
 * User: James Hawthorne
 * Date: 5/29/2016
 * Time: 1:48 PM
 */
class OCDataTransfer {
    public static function addRow($id, $table_name, $row_data, $delete_existing, $strict){
        $db_name = 'location_data_'.$id;
        $connection = self::resolveDatabase($db_name);
        foreach ($connection as $v){
            if($v == false) return $connection;
        }

        if (!self::tableExists($db_name, $table_name)) {
            self::createTables($db_name, $table_name);
        }

        $badColumns = array();
        $qryString = "INSERT INTO " . $table_name;
        $cols = "(";
        $vals = "(";
        $i = 0;
        foreach($row_data as $k => $v){
            if($k == 'entry_id'){
                $entry_id = $v;
            }

            if($k == 'api_sync' && $v == 'N'){
                $v = 'U';
            }

            $goodColumn = true;
            if (!self::columnExists($db_name, $table_name, $k)) {
                if(self::columnExistsInArray($table_name, $k)) {
                    self::addColumn($db_name, $table_name, $k);
                } else {
                    $badColumns[] = $k;
                    $goodColumn = false;
                }
            }

            if ($goodColumn) {
                $cols .= ($i == 0 ? "" : ",") . $k;
                if (strpos($k, 'datetime') !== false) {
                    $vals .= ($i == 0 ? "" : ",") . "'" . date('Y-m-d H:i:s', strtotime($v)) . "'";
                } else {
                    $vals .= ($i == 0 ? "" : ",") . "'" . mysql_real_escape_string(stripslashes($v)) . "'";
                }
            }

            $i++;
        }

        if ($strict && !empty($badColumns)) {
            $columnStr = "The following columns do not exist: " . implode(", ", $badColumns);
            return array(
                'result' => false,
                'message' => $columnStr
            );
        }

        $cols .= ")";
        $vals .= ")";
        $qryString .= " " . $cols . " VALUES " . $vals . ";";
        $delString = "";

        if ($delete_existing) {
            $key = self::getPrimaryKey(($table_name));
            $delString = "DELETE FROM " . $table_name . " WHERE $key = '" . $row_data[$key] . "';";
        }

        try {
            $con = IDConnect::connectByID($db_name);
            if ($delString != "") {
                $delete = new Query($delString, false, $con);
            }
            $query = new Query($qryString, false, $con);
        }
        catch (Exception $e) {
            return array(
                'result' => false,
                'message' => $e->getMessage()
            );
        }

        if(isset($query) && $query->result == true){
            return array( 'result' => true);
        }
        return array( 'result' => false);
    }

    public static function truncateTable($id, $table_name)
    {
        $db_name = 'location_data_' . $id;
        $connection = self::resolveDatabase($db_name);
        foreach ($connection as $v) {
            if ($v == false) return $connection;
        }

        if (!self::tableExists($db_name, $table_name)) {
            self::createTables($db_name, $table_name);
        }

        $qryString = "TRUNCATE TABLE `$table_name`;";

        try {
            $con = IDConnect::connectByID($db_name);
            $query = new Query($qryString, false, $con);
        } catch (Exception $e) {
            return array(
                'result' => false,
                'message' => $e->getMessage()
            );
        }

        if (isset($query) && $query->result == true) {
            return array('result' => true);
        }
        return array('result' => false);
    }

    public static function resolveDatabase($db_name){
        //return self::createTables($db_name);

        $result = IDConnect::connectByID($db_name);
        $i = 0;
        $sen = false;
        while(!$result And $i <= 5){
            //return array($result);
            $i++;
            $sen = true;
            try {
                $main_con = IDConnect::nonDBConnect();
                //return $main_con;
                $query = new Query("CREATE DATABASE IF NOT EXISTS $db_name;", false, $main_con);
                //return $query;
            }
            catch (Exception $e) {
                return array( 'result' => false, 'errorData' => $e);
            }
            if($query) {$result = IDConnect::connectByID($db_name);}
        }

        if($sen){
            //return 'hey';
            $ret = self::createTables($db_name);
            if($ret == 0){
                return array('DB created successfully');
            }
            else{
                return array(false);
            }
        }
        else{
            return array('DB exists');
        }

    }

    private static function createTables($db_name, $tableOnly = ""){
        // Import DB from template file
        try{
            $con = IDConnect::connectByID($db_name);


            foreach(locationDataArray::$locationTables as $key=>$value) {
                $tableArray = $value;
                $table_name = $tableArray['table_name'];
                $fields = $tableArray['fields'];
                $primary_key = $tableArray['primary_key'];
                $index = $tableArray['index'];

                if ($tableOnly != $table_name && $tableOnly != "") {
                    continue;
                }

                $fieldCnt = 0;
                $createStr = "";
                $createStr .= "CREATE TABLE `$table_name` (";
                foreach ($fields as $k=>$v) {
                    $createStr .= ($fieldCnt != 0 ? ",\n" : "\n" ) ."   $v";
                    $fieldCnt++;
                }

                if ($primary_key != "") {
                    $createStr .= ",\n   PRIMARY KEY (`$primary_key`)";
                }
                $createStr .= "\n);";

                $query = new Query($createStr, true, $con);

                if (count($index) != 0) {
                    foreach ($index as $k=>$v) {
                        $indexStr = "ALTER TABLE `$table_name` ADD KEY `$k` ($v);";
                        $query = new Query($indexStr, true, $con);
                    }
                }
            }

            return 0;
        }
        catch (Exception $e){
            return "script failed";
        }

    }

    private static function tableExists($db_name, $table_name) {
        try{
            $con = IDConnect::connectByID($db_name);

            $queryStr = "SHOW TABLES LIKE '$table_name'";
            $query = new Query($queryStr, false, $con);

            $result = $query->numRows();

            if ($result != 0) {
                return true;
            } else {
                return false;
            }
        }
        catch (Exception $e){
            return false;
        }
    }

    private static function columnExists($db_name, $table_name, $column_name) {
        try{
            $con = IDConnect::connectByID($db_name);

            $queryStr = "SELECT `$column_name` FROM `$table_name` LIMIT 1";
            $query = new Query($queryStr, false, $con);
            return true;
        }
        catch (Exception $e){
            return false;
        }
    }

    private static function columnExistsInArray($table_name, $column_name) {
        try{
            $tableArray = locationDataArray::$locationTables;

            if (array_key_exists ($table_name, $tableArray)) {
                $table = $tableArray[$table_name];
                $fields = $table['fields'];
                if (array_key_exists ($column_name, $fields)) {
                    return true;
                }
            }

            return false;
        }
        catch (Exception $e){
            return false;
        }
    }

    private static function getPrimaryKey($table_name) {
        try{
            $tableArray = locationDataArray::$locationTables;

            if (array_key_exists ($table_name, $tableArray)) {
                $key = $tableArray[$table_name]['primary_key'];
            }

            return $key;
        }
        catch (Exception $e){
            return false;
        }
    }

    private static function addColumn($db_name, $table_name, $column_name){
        // Import DB from template file
        try{
            $colScript = locationDataArray::$locationTables[$table_name]['fields'][$column_name];

            $con = IDConnect::connectByID($db_name);

            $createStr = "ALTER TABLE `$table_name` ADD COLUMN $colScript;";
            $query = new Query($createStr, true, $con);

            return true;
        }
        catch (Exception $e){
            return false;
        }

    }

}
?>