<?php
class OCInternal {
    public static function sendTermEmail($email, $rest_email, $subj, $message)
    {
        $body = $message;

        try {
            $message = Swift_Message::newInstance()
                ->setSubject($subj)
                ->setFrom(array('contracts@ordercounter.com' => 'OrderCounter Contracts'))
                ->setReplyTo(array('contracts@ordercounter.com' => 'OrderCounter Contracts'))
                ->setCC(array('contracts@ordercounter.com' => 'OrderCounter Contracts'))
                ->setTo($email)
                ->setBody($body, 'text/html');

            if ($rest_email != "") {
                $message->setCC(array('contracts@ordercounter.com' => 'OrderCounter Contracts', $rest_email => $rest_email));
            }

            $transport = Swift_SmtpTransport::newInstance(CONN_SERVER, CONN_PORT, CONN_AUTH_TYPE)
                ->setUsername(CONN_AUTH_USER)
                ->setPassword(CONN_AUTH_PASS);

            $mailer = Swift_Mailer::newInstance($transport);

            $mailer->send($message);

        } catch (Exception $e) {
            foreach (extractErrorDetails($e) as $v)
                errorLog($v);
            $result = array(
                "Message Status" => "Message Unsuccessful",
                "Reason" => $e->getMessage()
            );

            throw new EmailFailure("An error occurred sending a message on InboxReports!", $result);
        }

        return true;
    }
}