<?php
class OCLocation {
    public static function sendLicenseEmail($emails, $serials, $locName, $apiID, $apiKey, $locID)
    {
        $body = "<b>Location Name:</b> $locName <br/><br/>";

        $body .= "<b>API Information:</b> <br/>";
        $body .= "Location ID: $locID <br/>";
        $body .= "API ID: $apiID <br/>";
        $body .= "API Key: $apiKey <br/><br/>";

        $body .= "<b>Serial Numbers:</b> <br/>";
        foreach ($serials as $k=>$v)
        {
            $body .= "$v <br/>";
        }

        $body .= "<br/>For any questions or assistance, please contact OrderCounter Support at support@ordercounter.com or 850-332-5540. <br/><br/>";

        $body .= "Thank you, <br/>The OrderCounter Team";

        try {
            $message = Swift_Message::newInstance()
                ->setSubject("New OrderCounter Location: $locName")
                ->setFrom(array('license@inboxreports.com' => 'OrderCounter Licensing'))
                ->setReplyTo(array('license@inboxreports.com' => 'OrderCounter Licensing'))
                ->setCC(array('license@ordercounter.com' => 'OrderCounter Support'))
                ->setTo($emails)
                ->setBody($body, 'text/html');

            $transport = Swift_SmtpTransport::newInstance(CONN_SERVER, CONN_PORT, CONN_AUTH_TYPE)
                ->setUsername(CONN_AUTH_USER)
                ->setPassword(CONN_AUTH_PASS);

            $mailer = Swift_Mailer::newInstance($transport);

            $mailer->send($message);

        } catch (Exception $e) {
            foreach (extractErrorDetails($e) as $v)
                errorLog($v);
            $result = array(
                "Message Status" => "Message Unsuccessful",
                "Reason" => $e->getMessage()
            );

            throw new EmailFailure("An error occurred sending a message on InboxReports!", $result);
        }

        return true;
    }
}