<?php
class OCMenu {
    public static function addMenuDownload($path, $start_date, $location_id, $download = 'Y'){
        $data = array(
            'menu_path' => $path,
            'start_date' => $start_date,
            'location_id' => $location_id,
            'download' => $download
        );

        $menu_download = (new MenuDownloads())->create($data);

        return $menu_download->menu_id;

    }

    public static function deleteMenu($menu_id){
        /**
         * @var MenuDownload $menu_download
         */

        $menu_download = (new MenuDownloads())->read($menu_id);
        $menu_download->delete();
    }

    public static function getMostRecentActive($location_id, $upload_datetime){
        /**
         * @var MenuDownload $menu_download
         */

        $now = (new DateTime())->format("Y-m-d H:i:s");

        $downloads =  MenuDownloads::findAll(array(
            'filter' => array(
                'type' => 'AND',
                'args' => array(
                    array(
                        'field' => 'start_date',
                        'val' => $now,
                        'op' => '<'
                    ),
                    array(
                        'field' => 'upload_date',
                        'val' => $upload_datetime,
                        'op' => '>='
                    ),
                    array(
                        'field' => 'download',
                        'val' => 'Y'
                    ),
                    array(
                        'field' => 'location_id',
                        'val' => $location_id
                    )
                )
            ),
            'orderBy' => '`upload_date` DESC',
            'limit' => '1'
        ));

        return $downloads;
    }

    public static function disableMenu($menu_id){
        /**
         * @var MenuDownload $menu_download
         */

        $menu_download = (new MenuDownloads())->read($menu_id);
        $menu_download->update(
            array(
                'download' => 'N'
            )
        );
    }

    public static function enableMenu($menu_id){
        /**
         * @var MenuDownload $menu_download
         */

        $menu_download = (new MenuDownloads())->read($menu_id);
        $menu_download->update(
            array(
                'download' => 'Y'
            )
        );
    }
}