<?php

/*
 * Query Exceptions
 */
class QueryError extends BaseError {
	public $name = 'Query Error';
	public $query;

	public function __construct(Query $query, $err = null, $data = array()) {
		if ($err === null)
			parent::__construct(mysql_error());
		else
			parent::__construct($err);
		$this->query = $query;
	}
}

class QueryNoLocDB extends QueryError {
	public $name = 'Access Denied';

	public function __construct(Query $query, $err, $data = array()) {
		parent::__construct($query, $err, $data);
	}
}

class DB {
	public static function connect($settings) {
		try {
			$conn = @mysql_connect($settings['host'], $settings['user'], $settings['pass']);
			if ($conn === false)
				throw new Exception('DB Connection Error!');
			mysql_select_db($settings['db'], $conn);
			return $conn;
		}
		catch (Exception $e) {
			throw new BaseError($e->getMessage());
		}
	}
}

class IDConnect {

	public static function nonDBConnect($dbg=false) {

		if (ENABLE_DB_CONNECTION){
			try {
				$conn = @mysql_connect(DB_HOST, LOCATION_DB_USER, LOCATION_DB_PASS);
				if ($conn === false)
					throw new Exception('DB Connection Error!');
				return $conn;

			}
			catch (Exception $e) {
				throw new BaseError($e->getMessage());
			}
			return $DBConnection2;
		}
		return false;
	}

	public static function connectByID($db, $dbg=false) {

		if (ENABLE_DB_CONNECTION){
			try {
				$conn = @mysql_connect(DB_HOST, LOCATION_DB_USER, LOCATION_DB_PASS);
				if ($conn === false)
					throw new Exception('DB Connection Error!');
				$result = mysql_select_db($db, $conn);
				if(!$result) return false;
				return $conn;
			}
			catch (Exception $e) {
				return false;
			}
		}
		return false;
	}

}

class Query {
	public $queryStr;
	public $result;
	public $conn;

	function __construct($queryStr, $dbg = false, $conn = null) {
		$this->queryStr = $queryStr;
		if ($conn !== null)
			$this->conn = $conn;
		else {
			global $DBConnection;
			$this->conn = $DBConnection;
		}
		if ($dbg)
			miscLog($queryStr);
		$this->result = @mysql_query($queryStr, $this->conn);

		if (!$this->result)
			throw new QueryError($this);
	}

	function numRows() {
		if ($this->result)
			return mysql_num_rows($this->result);
		else
			return 0;
	}

	function dbName() {
		return mysql_result(mysql_query("SELECT DATABASE()", $this->conn), 0);
	}

	/*
	 * Returns the value associated with the variable $var (given as a string)
	 */
	function find($var) {
		if ($this->numRows() > 0) {
			return mysql_result($this->result, 0, $var);
		}
		else {
			return false;
		}
	}

	/*
	 * Returns the value of a single variable
	 * Used on queries selecting only a single row and single column
	 */
	function get() {
		if ($this->check()) {
			$q = mysql_fetch_array($this->result, MYSQL_NUM);
			return $q[0];
		}
		else
			return false;
	}

	function getAll() {
		$rv = array();
		while ($tmp = $this->arr()) {
			$rv = array_merge($rv, $tmp);
		}
		return $rv;
	}

	function all($f = null) {
		$rv = array();
		while ($tmp = $this->arr()) {
			if ($f)
				$rv[] = call_user_func($f, $tmp);
			else
				$rv[] = $tmp;
		}
		return $rv;
	}

	/*
	 * Returns true if select query returned any rows
	 */
	function check() {
		// Did this query return any rows?
		if ($this->result && $this->numRows() > 0)
			return 1;
		else
			return 0;
	}

	function newID() {
		return mysql_insert_id();
	}

	function affected_rows() {
		return @mysql_affected_rows($this->conn);
	}

	/*
	 * Returns true if update or insert statement affected any rows
	 */
	function updated() {
		return (boolean) (mysql_affected_rows($this->conn) > 0);
	}

	function arr() {
		$array = mysql_fetch_assoc($this->result);
		if (is_array($array)) {
			return $array;
		}
		else {
			return false;
		}
	}

	function parse($f) {
		while ($row = $this->arr()) {
			$f($row);
		}
	}

	function extract($var) {
		$rv = array();
		while ($tmp = $this->arr()) {
			$rv[] = $tmp[$var];
		}
		return $rv;
	}
}
