<?php
require_once(INCLUDES . "/errors.inc.php");

class APIResponse {
	public $success = true;
	public $data = array();

	public function __construct($success = true, $data = array()) {
		$this->success = (bool)$success;
		$this->data = $data;
		$this->send();
	}

	private function stripResource(&$array) {
		//echo sizeof($array);
		foreach($array as $k => $v){
			//echo gettype($v);
			if (is_resource($v)){
				//echo $k . ' => ressource type = ' . get_resource_type($v);
				if (is_object($array)){
					$array->$k = "This is a " . gettype($v);
				}
				else{
					$array[$k] = "This is a " . gettype($v);
				}

			}
			elseif (is_array($v) || is_object($v)){
				$this->stripResource($v);
			}
		}
	}

	public function send() {
		//$this->stripResource($this->prepResponse()['data']);

        LogResponse($_SESSION['log_id'], $_SESSION['locationID'], json_encode($this->prepResponse()));
		echo json_encode($this->prepResponse());
		exit();
	}

	public function prepResponse() {
		return array(
			'success' => $this->success,
			'data' => $this->data
		);
	}
}

class SuccessResponse extends APIResponse {
	public function __construct($data = array()) {
		parent::__construct(true, $data);
	}
}

class ErrorResponse extends APIResponse {
	public $error = null;

	public function __construct(BaseError $error) {
		$this->error = $error;
		parent::__construct(false);
	}

	public function prepResponse() {
        $result = array(
            'success' => false,
            'error' => array(
                'name' => $this->error->name,
                'desc' => $this->error->err,
                'code' => $this->error->code,
                'data' => $this->error->data
            ));

		return $result;
	}
}
