<?php

class LoyaltySettings extends Model {
    protected $key = 'location_id';
    protected $table = 'loyalty';
    protected $encrypted = array('password');

    public $server;
    public $username;
    public $password;
    public $database;
}

class LoyaltyCustomer extends Model {
    protected $key = 'customer_id';
    protected $table = 'customers';
    protected $encrypted = array('fname', 'lname', 'email', 'phone', 'address1', 'address2');

    public $member_id;
    public $fname;
    public $lname;
    public $email;
    public $phone;
    public $address1;
    public $address2;
    public $city;
    public $state;
    public $zipcode;
    public $active;
    public $birthdate;
}

class LoyaltyCards extends Model {
    protected $key = 'vip_card_id';
    protected $table = 'customers_vip';

    public $customer_id;
    public $card_num;
    public $vip_card_id;
}

class DogParkMember extends Model {
    protected $key = 'member_id';
    protected $table = 'dogpark_members';
    protected $encrypted = array();
    protected $hidden = array('dogs', 'customers');

    public $member_id;
    public $status;
    public $start_date;
    public $type;
    public $barcode;
    public $barcode_other;
    public $dog_walker;
    public $vet_name;
    public $vet_phone;
    public $notes;

}

class DogParkDog extends Model {
    protected $key = 'dog_id';
    protected $table = 'dogpark_dogs';
    protected $encrypted = array();

    public $member_id;
    public $name;
    public $size;
    public $color;
    public $breed;
    public $age;
    public $birth_month;
}
