<?php
/**
 * Created by PhpStorm.
 * User: sndic
 * Date: 6/2/2017
 * Time: 9:57 AM
 */

/* Template for database table array; remove excess fields
"" => array(
    "table_name" => "",
    "fields" => array(
        "" => "",
        "" => ""
    ),
    "primary_key" => "",
    "index" => array()
)
*/

class locationDataArray {
    public static $locationTables = array(
        "hourly_tips" => array(
            "table_name" => "hourly_tips",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "cash_tips" => "`cash_tips` DECIMAL(18,2) NULL",
                "credit_tips" => "`credit_tips` DECIMAL(18,2) NULL",
                "check_tips" => "`check_tips` DECIMAL(18,2) NULL",
                "giftcard_tips" => "`giftcard_tips` DECIMAL(18,2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "eod_id" => "`eod_id` BIGINT(20) NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_pay_types" => array(
            "table_name" => "hourly_pay_types",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "cash" => "`cash` DECIMAL(18, 2) NULL",
                "cash_count" => "`cash_count` DECIMAL(18, 2) NULL",
                "credit" => "`credit` DECIMAL(18, 2) NULL",
                "credit_count" => "`credit_count` DECIMAL(18, 2) NULL",
                "checks" => "`checks` DECIMAL(18, 2) NULL",
                "check_count" => "`check_count` DECIMAL(18, 2) NULL",
                "gcard" => "`gcard` DECIMAL(18, 2) NULL",
                "gcard_count" => "`gcard_count` DECIMAL(18, 2) NULL",
                "gcert" => "`gcert` DECIMAL(18, 2) NULL",
                "gcert_count" => "`gcert_count` DECIMAL(18, 2) NULL",
                "tips" => "`tips` DECIMAL(18, 2) NULL",
                "tips_count" => "`tips_count` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL",
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_pay_methods" => array(
            "table_name" => "hourly_pay_methods",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "dinein_sub" => "`dinein_sub` DECIMAL(18, 2) NULL",
                "dinein_tax" => "`dinein_tax` DECIMAL(18, 2) NULL",
                "dinein_total" => "`dinein_total` DECIMAL(18, 2) NULL",
                "dinein_count" => "`dinein_count` DECIMAL(18, 2) NULL",
                "dinein_discount" => "`dinein_discount` DECIMAL(18, 2) NULL",
                "delivery_sub" => "`delivery_sub` DECIMAL(18, 2) NULL",
                "delivery_tax" => "`delivery_tax` DECIMAL(18, 2) NULL",
                "delivery_total" => "`delivery_total` DECIMAL(18, 2) NULL",
                "delivery_count" => "`delivery_count` DECIMAL(18, 2) NULL",
                "delivery_discount" => "`delivery_discount` DECIMAL(18, 2) NULL",
                "bar_sub" => "`bar_sub` DECIMAL(18, 2) NULL",
                "bar_tax" => "`bar_tax` DECIMAL(18, 2) NULL",
                "bar_total" => "`bar_total` DECIMAL(18, 2) NULL",
                "bar_count" => "`bar_count` DECIMAL(18, 2) NULL",
                "bar_discount" => "`bar_discount` DECIMAL(18, 2) NULL",
                "table_sub" => "`table_sub` DECIMAL(18, 2) NULL",
                "table_tax" => "`table_tax` DECIMAL(18, 2) NULL",
                "table_total" => "`table_total` DECIMAL(18, 2) NULL",
                "table_count" => "`table_count` DECIMAL(18, 2) NULL",
                "table_discount" => "`table_discount` DECIMAL(18, 2) NULL",
                "forhere_sub" => "`forhere_sub` DECIMAL(18, 2) NULL",
                "forhere_tax" => "`forhere_tax` DECIMAL(18, 2) NULL",
                "forhere_total" => "`forhere_total` DECIMAL(18, 2) NULL",
                "forhere_count" => "`forhere_count` DECIMAL(18, 2) NULL",
                "forhere_discount" => "`forhere_discount` DECIMAL(18, 2) NULL",
                "togo_sub" => "`togo_sub` DECIMAL(18, 2) NULL",
                "togo_tax" => "`togo_tax` DECIMAL(18, 2) NULL",
                "togo_total" => "`togo_total` DECIMAL(18, 2) NULL",
                "togo_count" => "`togo_count` DECIMAL(18, 2) NULL",
                "togo_discount" => "`togo_discount` DECIMAL(18, 2) NULL",
                "drivethru_sub" => "`drivethru_sub` DECIMAL(18, 2) NULL",
                "drivethru_tax" => "`drivethru_tax` DECIMAL(18, 2) NULL",
                "drivethru_total" => "`drivethru_total` DECIMAL(18, 2) NULL",
                "drivethru_count" => "`drivethru_count` DECIMAL(18, 2) NULL",
                "drivethru_discount" => "`drivethru_discount` DECIMAL(18, 2) NULL",
                "resdeps_sub" => "`resdeps_sub` DECIMAL(18, 2) NULL",
                "resdeps_tax" => "`resdeps_tax` DECIMAL(18, 2) NULL",
                "resdeps_total" => "`resdeps_total` DECIMAL(18, 2) NULL",
                "resdeps_count" => "`resdeps_count` DECIMAL(18, 2) NULL",
                "resdeps_discount" => "`resdeps_discount` DECIMAL(18, 2) NULL",
                "online_sub" => "`online_sub` DECIMAL(18, 2) NULL",
                "online_tax" => "`online_tax` DECIMAL(18, 2) NULL",
                "online_total" => "`online_total` DECIMAL(18, 2) NULL",
                "online_count" => "`online_count` DECIMAL(18, 2) NULL",
                "online_discount" => "`online_discount` DECIMAL(18, 2) NULL",
                "takeout_sub" => "`takeout_sub` DECIMAL(18, 2) NULL",
                "takeout_tax" => "`takeout_tax` DECIMAL(18, 2) NULL",
                "takeout_total" => "`takeout_total` DECIMAL(18, 2) NULL",
                "takeout_count" => "`takeout_count` DECIMAL(18, 2) NULL",
                "takeout_discount" => "`takeout_discount` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "account_total" => "`account_total` DECIMAL(18, 2) NOT NULL",
                "account_discount" => "`account_discount` DECIMAL(18, 2) NOT NULL",
                "account_sub" => "`account_sub` DECIMAL(18, 2) NOT NULL",
                "account_tax" => "`account_tax` DECIMAL(18, 2) NOT NULL",
                "account_count" => "`account_count` DECIMAL(18, 2) NOT NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "account_payment_total" => "`account_payment_total` DECIMAL(18, 2) NULL",
                "account_payment_count" => "`account_payment_count` DECIMAL(18, 2) NULL",
                "account_payment_sub" => "`account_payment_sub` DECIMAL(18, 2) NULL",
                "account_payment_tax" => "`account_payment_tax` DECIMAL(18, 2) NULL",
                "account_payment_discount" => "`account_payment_discount` DECIMAL(18, 2) NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL",
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_pay_insouts" => array(
            "table_name" => "hourly_pay_insouts",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "pay_ins" => "`pay_ins` DECIMAL(18, 2) NULL",
                "pay_outs" => "`pay_outs` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_gross" => array(
            "table_name" => "hourly_gross",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "grosstotal" => "`grosstotal` DECIMAL(18, 2) NULL",
                "grosstotal_cc" => "`grosstotal_cc` DECIMAL(18, 2) NULL",
                "flags" => "`flags` NCHAR(1) NULL",
                "datetime_added" => "`datetime_added` DATETIME NULL",
                "taxtotal" => "`taxtotal` DECIMAL(18, 2) NULL",
                "taxtotal_cc" => "`taxtotal_cc` DECIMAL(18, 2) NULL",
                "nettotal" => "`nettotal` DECIMAL(18, 2) NULL",
                "nettotal_cc" => "`nettotal_cc` DECIMAL(18, 2) NULL",
                "discounts" => "`discounts` DECIMAL(18, 2) NULL",
                "discountscc" => "`discountscc` DECIMAL(18, 2) NULL",
                "comps" => "`comps` DECIMAL(18, 2) NULL",
                "orders_count" => "`orders_count` BIGINT(20) NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_giftcard_sales" => array(
            "table_name" => "hourly_giftcard_sales",
            "fields" => array(
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "gc_sells_total" => "`gc_sells_total` DECIMAL(18, 2) NULL",
                "gc_sells_totalcc" => "`gc_sells_totalcc` DECIMAL(18, 2) NULL",
                "gc_sells_count" => "`gc_sells_count` BIGINT(20) NULL",
                "datetime_added" => "`datetime_added` DATETIME NULL",
                "flags" => "`flags` VARCHAR(300) NULL",
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_fees" => array(
            "table_name" => "hourly_fees",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "total_fees" => "`total_fees` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "hourly_category_sales" => array(
            "table_name" => "hourly_category_sales",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_date" => "`for_date` DATETIME NULL",
                "cat_id" => "`cat_id` BIGINT(20) NULL",
                "total" => "`total` DECIMAL(18, 2) NULL",
                "totalcc" => "`totalcc` DECIMAL(18, 2) NULL",
                "flags" => "`flags` NCHAR(10) NULL",
                "datetime_added" => "`datetime_added` DATETIME NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "comps" => "`comps` DECIMAL(10, 2) NOT NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "counts_sold" => "`counts_sold` BIGINT(20) NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "daily_pre_sir" => array(
            "table_name" => "daily_pre_sir",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "emp_id" => "`emp_id` BIGINT(20) NULL",
                "type" => "`type` NCHAR(1) NULL",
                "amount" => "`amount` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "daily_post_sir" => array(
            "table_name" => "daily_post_sir",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "emp_id" => "`emp_id` BIGINT(20) NULL",
                "type" => "`type` NCHAR(1) NULL",
                "amount" => "`amount` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "eod_id" => "`eod_id` BIGINT(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "daily_comp_report" => array(
            "table_name" => "daily_comp_report",
            "fields" => array(
                "entry_id" => "`entry_id` BIGINT(20) NOT NULL",
                "for_datetime" => "`for_datetime` DATETIME NULL",
                "emp_id" => "`emp_id` BIGINT(20) NULL",
                "type" => "`type` NCHAR(1) NULL",
                "amount" => "`amount` DECIMAL(18, 2) NULL",
                "datetime_ran" => "`datetime_ran` DATETIME NULL",
                "version" => "`version` VARCHAR(20) NOT NULL",
                "api_sync" => "`api_sync` VARCHAR(1) NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),
        

        "menu_category" => array(
            "table_name" => "menu_category",
            "fields" => array(
                "cat_id" => "`cat_id` bigint(20) UNSIGNED NOT NULL",
                "cat_name" => "`cat_name` tinytext",
                "set_order" => "`set_order` tinyint(4) NOT NULL DEFAULT '0'",
                "description" => "`description` text NOT NULL",
                "img" => "`img` text NOT NULL",
                "page" => "`page` tinyint(4) NOT NULL DEFAULT '0'",
                "slot" => "`slot` tinyint(4) NOT NULL DEFAULT '0'",
                "color" => "`color` tinytext NOT NULL",
                "hasOnline" => "`hasOnline` varchar(1) NOT NULL DEFAULT 'N'",
                "hasTakeout" => "`hasTakeout` varchar(1) NOT NULL DEFAULT 'N'",
                "hasDelivery" => "`hasDelivery` varchar(1) NOT NULL DEFAULT 'N'",
                "hasDineIn" => "`hasDineIn` varchar(1) NOT NULL DEFAULT 'N'",
                "hasTable" => "`hasTable` varchar(1) NOT NULL DEFAULT 'N'",
                "hasBar" => "`hasBar` varchar(1) NOT NULL DEFAULT 'N'",
                "no_sync" => "`no_sync` varchar(1) NOT NULL DEFAULT 'N'",
                "online_store" => "`online_store` varchar(1) NOT NULL DEFAULT 'N'",
                "display_name" => "`display_name` tinytext"
            ),
            "primary_key" => "cat_id",
            "index" => array()
        ),

        "menu_category2timeset" => array(
            "table_name" => "menu_category2timeset",
            "fields" => array(
                "cat_id" => "`cat_id` bigint(20) NOT NULL DEFAULT '0'",
                "timeset_id" => "`timeset_id` bigint(20) NOT NULL DEFAULT '0'"
            ),
            "primary_key" => "",
            "index" => array()
        ),

        "menu_item2optionset" => array(
            "table_name" => "menu_item2optionset",
            "fields" => array(
                "item_id" => "`item_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0'",
                "optionset_id" => "`optionset_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0'",
                "display_name" => "`display_name` tinytext",
                "online" => "`online` varchar(1) DEFAULT 'N'",
                "slot" => "`slot` tinyint(4) DEFAULT NULL",
                "row_id" => "`row_id` int(11) NOT NULL"
            ),
            "primary_key" => "row_id",
            "index" => array(
                "item_id" => "`item_id`,`optionset_id`"
            )
        ),

        "menu_item2recommended" => array(
            "table_name" => "menu_item2recommended",
            "fields" => array(
                "item_id" => "`item_id` bigint(20) NOT NULL",
                "set_id" => "`set_id` bigint(20) NOT NULL"
            ),
            "primary_key" => "",
            "index" => array(
                "item_id" => "`item_id`"
            )
        ),

        "menu_item2timeset" => array(
            "table_name" => "menu_item2timeset",
            "fields" => array(
                "item_id" => "`item_id` bigint(20) NOT NULL DEFAULT '0'",
                "timeset_id" => "`timeset_id` bigint(20) NOT NULL DEFAULT '0'"
            ),
            "primary_key" => "",
            "index" => array()
        ),

        "menu_items" => array(
            "table_name" => "menu_items",
            "fields" => array(
                "item_id" => "`item_id` bigint(20) UNSIGNED NOT NULL",
                "menu_id" => "`menu_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0'",
                "item_name" => "`item_name` tinytext NOT NULL",
                "display_name" => "`display_name` tinytext",
                "slot" => "`slot` int(11) DEFAULT NULL",
                "hasOnline" => "`hasOnline` tinytext",
                "item_abb" => "`item_abb` tinytext NOT NULL",
                "item_desc" => "`item_desc` mediumtext NOT NULL",
                "item_price" => "`item_price` float(10,4) NOT NULL DEFAULT '0.0000'",
                "item_type" => "`item_type` char(1) NOT NULL DEFAULT 'R'",
                "printer" => "`printer` int(1) NOT NULL DEFAULT '0'",
                "printer2" => "`printer2` int(1) NOT NULL DEFAULT '0'",
                "kds1" => "`kds1` int(1) NOT NULL DEFAULT '0'",
                "kds2" => "`kds2` int(1) NOT NULL DEFAULT '0'",
                "taxable" => "`taxable` char(1) NOT NULL DEFAULT 'Y'",
                "report_category" => "`report_category` bigint(20) NOT NULL DEFAULT '0'",
                "barcode" => "`barcode` tinytext NOT NULL",
                "inventory_id" => "`inventory_id` bigint(20) NOT NULL DEFAULT '0'",
                "isApp" => "`isApp` varchar(1) NOT NULL DEFAULT 'N'",
                "isDrink" => "`isDrink` varchar(1) NOT NULL DEFAULT 'N'",
                "giftcard_value" => "`giftcard_value` decimal(10,2) NOT NULL",
                "active" => "`active` varchar(1) NOT NULL DEFAULT 'Y'",
                "notes" => "`notes` text NOT NULL",
                "discountable" => "`discountable` varchar(1) NOT NULL DEFAULT 'Y'",
                "allow_option" => "`allow_option` varchar(1) NOT NULL DEFAULT 'Y'",
                "qty" => "`qty` varchar(1) NOT NULL DEFAULT 'N'",
                "unit" => "`unit` tinytext NOT NULL"
            ),
            "primary_key" => "item_id",
            "index" => array()
        ),

        "menu_menu2timeset" => array(
            "table_name" => "menu_menu2timeset",
            "fields" => array(
                "menu_id" => "`menu_id` bigint(20) NOT NULL DEFAULT '0'",
                "timeset_id" => "`timeset_id` bigint(20) NOT NULL DEFAULT '0'"
            ),
            "primary_key" => "",
            "index" => array()
        ),

        "menu_multisets" => array(
            "table_name" => "menu_multisets",
            "fields" => array(
                "multiset_id" => "`multiset_id` bigint(20) NOT NULL",
                "optionset_id" => "`optionset_id` bigint(20) NOT NULL",
                "name" => "`name` tinytext NOT NULL",
                "value" => "`value` int(11) NOT NULL"
            ),
            "primary_key" => "multiset_id",
            "index" => array(
                "optionset_id" => "`optionset_id`"
            )
        ),

        "menu_optionnames" => array(
            "table_name" => "menu_optionnames",
            "fields" => array(
                "entry_id" => "`entry_id` int(11) NOT NULL",
                "option_id" => "`option_id` bigint(20) NOT NULL",
                "item2optionset_id" => "`item2optionset_id` bigint(20) NOT NULL",
                "item_id" => "`item_id` bigint(20) NOT NULL",
                "display_name" => "`display_name` tinytext NOT NULL",
                "online" => "`online` varchar(1) NOT NULL DEFAULT 'N'",
                "sort_type" => "`sort_type` varchar(6) NOT NULL DEFAULT 'global'",
                "slot" => "`slot` int(11) NOT NULL",
                "optionset_id" => "`optionset_id` int(11) DEFAULT NULL"
            ),
            "primary_key" => "entry_id",
            "index" => array()
        ),

        "menu_optionsets" => array(
            "table_name" => "menu_optionsets",
            "fields" => array(
                "optionset_id" => "`optionset_id` bigint(20) UNSIGNED NOT NULL",
                "optionset_name" => "`optionset_name` tinytext NOT NULL",
                "required" => "`required` char(1) NOT NULL DEFAULT 'N'",
                "type" => "`type` char(1) NOT NULL",
                "quantity" => "`quantity` int(11) NOT NULL",
                "print" => "`print` varchar(1) NOT NULL DEFAULT 'Y'",
                "online" => "`online` varchar(1) NOT NULL DEFAULT 'Y'",
                "multiples" => "`multiples` varchar(1) NOT NULL DEFAULT 'N'",
                "max_multiple" => "`max_multiple` int(11) NOT NULL DEFAULT '0'",
                "has_dinein" => "`has_dinein` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_takeout" => "`has_takeout` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_delivery" => "`has_delivery` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_table" => "`has_table` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_bar" => "`has_bar` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_forhere" => "`has_forhere` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_togo" => "`has_togo` varchar(1) NOT NULL DEFAULT 'Y'",
                "has_drivethru" => "`has_drivethru` varchar(1) NOT NULL DEFAULT 'Y'",
                "multiset" => "`multiset` varchar(1) NOT NULL DEFAULT 'N'",
                "display_name" => "`display_name` tinytext"
            ),
            "primary_key" => "optionset_id",
            "index" => array()
        ),

        "menu_recommended_items" => array(
            "table_name" => "menu_recommended_items",
            "fields" => array(
                "set_id" => "`set_id` bigint(20) NOT NULL",
                "item_id" => "`item_id` bigint(20) NOT NULL"
            ),
            "primary_key" => "",
            "index" => array(
                "set_id" => "`set_id`"
            )
        ),

        "menu_recommended_set" => array(
            "table_name" => "menu_recommended_set",
            "fields" => array(
                "set_id" => "`set_id` bigint(20) NOT NULL",
                "set_name" => "`set_name` tinytext NOT NULL"
            ),
            "primary_key" => "set_id",
            "index" => array()
        ),

        "menu_specials" => array(
            "table_name" => "menu_specials",
            "fields" => array(
                "menu_id" => "`menu_id` bigint(20) NOT NULL",
                "max_free" => "`max_free` tinyint(4) NOT NULL DEFAULT '0'",
                "max_total" => "`max_total` tinyint(4) NOT NULL DEFAULT '0'"
            ),
            "primary_key" => "",
            "index" => array()
        ),

        "menu_specials_groups" => array(
            "table_name" => "menu_specials_groups",
            "fields" => array(
                "group_id" => "`group_id` bigint(20) NOT NULL",
                "menu_id" => "`menu_id` bigint(20) NOT NULL",
                "group_name" => "`group_name` tinytext NOT NULL",
                "num_items" => "`num_items` bigint(20) NOT NULL"
            ),
            "primary_key" => "group_id",
            "index" => array()
        ),

        "menu_specials_items" => array(
            "table_name" => "menu_specials_items",
            "fields" => array(
                "group_id" => "`group_id` bigint(20) NOT NULL DEFAULT '0'",
                "item_id" => "`item_id` bigint(20) NOT NULL DEFAULT '0'",
                "special_price" => "`special_price` decimal(10,2) NOT NULL DEFAULT '0.00'"
            ),
            "primary_key" => "",
            "index" => array(
                "group_id" => "`group_id`"
            )
        ),

        "menu_taxcodes" => array(
            "table_name" => "menu_taxcodes",
            "fields" => array(
                "taxcode_id" => "`taxcode_id` bigint(20) NOT NULL",
                "reverse" => "`reverse` varchar(1) NOT NULL DEFAULT 'N'",
                "taxcode_name" => "`taxcode_name` tinytext NOT NULL",
                "taxrate" => "`taxrate` decimal(10,4) NOT NULL DEFAULT '0.0000'",
                "selectable" => "`selectable` varchar(1) NOT NULL DEFAULT 'N'"
            ),
            "primary_key" => "taxcode_id",
            "index" => array()
        ),

        "menu_times" => array(
            "table_name" => "menu_times",
            "fields" => array(
                "timeset_id" => "`timeset_id` bigint(20) NOT NULL DEFAULT '0'",
                "sun_start_hour" => "`sun_start_hour` char(2) NOT NULL",
                "sun_start_min" => "`sun_start_min` char(2) NOT NULL",
                "sun_end_hour" => "`sun_end_hour` char(2) NOT NULL",
                "sun_end_min" => "`sun_end_min` char(2) NOT NULL",
                "mon_start_hour" => "`mon_start_hour` char(2) NOT NULL",
                "mon_start_min" => "`mon_start_min` char(2) NOT NULL",
                "mon_end_hour" => "`mon_end_hour` char(2) NOT NULL",
                "mon_end_min" => "`mon_end_min` char(2) NOT NULL",
                "tues_start_hour" => "`tues_start_hour` char(2) NOT NULL",
                "tues_start_min" => "`tues_start_min` char(2) NOT NULL",
                "tues_end_hour" => "`tues_end_hour` char(2) NOT NULL",
                "tues_end_min" => "`tues_end_min` char(2) NOT NULL",
                "wed_start_hour" => "`wed_start_hour` char(2) NOT NULL",
                "wed_start_min" => "`wed_start_min` char(2) NOT NULL",
                "wed_end_hour" => "`wed_end_hour` char(2) NOT NULL",
                "wed_end_min" => "`wed_end_min` char(2) NOT NULL",
                "thur_start_hour" => "`thur_start_hour` char(2) NOT NULL",
                "thur_start_min" => "`thur_start_min` char(2) NOT NULL",
                "thur_end_hour" => "`thur_end_hour` char(2) NOT NULL",
                "thur_end_min" => "`thur_end_min` char(2) NOT NULL",
                "fri_start_hour" => "`fri_start_hour` char(2) NOT NULL",
                "fri_start_min" => "`fri_start_min` char(2) NOT NULL",
                "fri_end_hour" => "`fri_end_hour` char(2) NOT NULL",
                "fri_end_min" => "`fri_end_min` char(2) NOT NULL",
                "sat_start_hour" => "`sat_start_hour` char(2) NOT NULL",
                "sat_start_min" => "`sat_start_min` char(2) NOT NULL",
                "sat_end_hour" => "`sat_end_hour` char(2) NOT NULL",
                "sat_end_min" => "`sat_end_min` char(2) NOT NULL"
            ),
            "primary_key" => "timeset_id",
            "index" => array()
        ),

        "menu_timesets" => array(
            "table_name" => "menu_timesets",
            "fields" => array(
                "timeset_id" => "`timeset_id` bigint(20) NOT NULL",
                "timeset_name" => "`timeset_name` tinytext NOT NULL"
            ),
            "primary_key" => "timeset_id",
            "index" => array()
        ),

        "menu_menus" => array(
            "table_name" => "menu_menus",
            "fields" => array(
                "menu_id" => "`menu_id` bigint(20) UNSIGNED NOT NULL",
                "menu_abb" => "`menu_abb` tinytext NOT NULL",
                "menu_name" => "`menu_name` tinytext",
                "cat_id" => "`cat_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0'",
                "print_priority" => "`print_priority` char(1) NOT NULL DEFAULT '1'",
                "img_t" => "`img_t` text NOT NULL",
                "slot" => "`slot` tinyint(4) NOT NULL DEFAULT '0'",
                "color" => "`color` tinytext NOT NULL",
                "set_order" => "`set_order` int(11) NOT NULL",
                "sub_items" => "`sub_items` char(1) NOT NULL DEFAULT 'N'",
                "hasOnline" => "`hasOnline` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasTakeout" => "`hasTakeout` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasDelivery" => "`hasDelivery` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasDineIn" => "`hasDineIn` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasBar" => "`hasTable` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasForHere" => "`hasBar` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasToGo" => "`hasForHere` varchar(1) NOT NULL DEFAULT 'Y'",
                "hasDriveThru" => "`hasToGo` varchar(1) NOT NULL DEFAULT 'Y'",
                "active" => "`hasDriveThru` varchar(1) NOT NULL DEFAULT 'Y'",
                "unavailable" => "`active` varchar(1) NOT NULL DEFAULT 'Y'",
                "pos_image" => "`unavailable` varchar(1) NOT NULL DEFAULT 'N'",
                "option_id" => "`pos_image` varchar(1) NOT NULL DEFAULT 'N'",
                "online_store" => "`option_id` int(11) NOT NULL",
                "shipping" => "`online_store` varchar(1) NOT NULL DEFAULT 'N'",
                "display_name" => "`shipping` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "description" => "`display_name` tinytext",
                "item_desc" => "`description` longtext",
                "" => "`item_desc` text"
            ),
            "primary_key" => "menu_id",
            "index" => array()
        ),

        "menu_options" => array(
            "table_name" => "menu_options",
            "fields" => array(
                "option_id" => "`option_id` bigint(20) UNSIGNED NOT NULL",
                "optionset_id" => "`optionset_id` bigint(20) UNSIGNED NOT NULL DEFAULT '0'",
                "option_name" => "`option_name` tinytext NOT NULL",
                "option_price" => "`option_price` float(10,4) NOT NULL DEFAULT '0.0000'",
                "option_type" => "`option_type` char(1) NOT NULL",
                "print_priority" => "`print_priority` int(11) NOT NULL DEFAULT '10'",
                "mod1" => "`mod1` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod2" => "`mod2` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod3" => "`mod3` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod4" => "`mod4` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod5" => "`mod5` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod6" => "`mod6` decimal(10,2) NOT NULL DEFAULT '0.00'",
                "mod7" => "`mod7` decimal(10,2) NOT NULL",
                "mod8" => "`mod8` decimal(10,2) NOT NULL",
                "mod9" => "`mod9` decimal(10,2) NOT NULL",
                "mod10" => "`mod10` decimal(10,2) NOT NULL",
                "mod11" => "`mod11` decimal(10,2) NOT NULL",
                "mod12" => "`mod12` decimal(10,2) NOT NULL",
                "hasMod1" => "`hasMod1` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod2" => "`hasMod2` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod3" => "`hasMod3` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod4" => "`hasMod4` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod5" => "`hasMod5` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod6" => "`hasMod6` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod7" => "`hasMod7` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod8" => "`hasMod8` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod9" => "`hasMod9` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod10" => "`hasMod10` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod11" => "`hasMod11` varchar(1) NOT NULL DEFAULT 'N'",
                "hasMod12" => "`hasMod12` varchar(1) NOT NULL DEFAULT 'N'",
                "pos_image" => "`pos_image` varchar(1) NOT NULL DEFAULT 'N'",
                "allow1" => "`allow1` varchar(1) NOT NULL DEFAULT 'Y'",
                "allow2" => "`allow2` varchar(1) NOT NULL DEFAULT 'N'",
                "allow3" => "`allow3` varchar(1) NOT NULL DEFAULT 'N'",
                "allow4" => "`allow4` varchar(1) NOT NULL DEFAULT 'N'",
                "allow5" => "`allow5` varchar(1) NOT NULL DEFAULT 'N'",
                "allow6" => "`allow6` varchar(1) NOT NULL DEFAULT 'N'",
                "allow7" => "`allow7` varchar(1) NOT NULL DEFAULT 'N'",
                "allow8" => "`allow8` varchar(1) NOT NULL DEFAULT 'N'",
                "allow9" => "`allow9` varchar(1) NOT NULL DEFAULT 'N'",
                "allow10" => "`allow10` varchar(1) NOT NULL DEFAULT 'N'",
                "multiset_id" => "`multiset_id` bigint(20) NOT NULL",
                "display_name" => "`display_name` tinytext",
                "online" => "`online` varchar(1) DEFAULT 'N'",
                "slot" => "`slot` bigint(20) DEFAULT NULL"
            ),
            "primary_key" => "option_id",
            "index" => array()
        )
    );
}